/****************************************************************/
/* Configuration control file variable structure                */
/****************************************************************/

typedef struct {
               char *QManager;
               char *QName;
               char *RQName;
               char *ErrQName;
               char *ErrFileName;
               char *EMailAddress;
               char *DatabaseLogin;
               int   WarningsAllowed;
               long  SleepTime;
               char *SourceRef;
               long  QMessageSize;
               long  DefaultQMessageSize;
               char *SFMLastIdFile;
               long  SFMFlavour;
               long  DefaultSFMFlavour;
               char *AckIdFile;
               char *FileLeafName;
               char *FileDirectory;
               void *UserVars;
               } ConfigFileT;

/* Declaration of configuration file */
/* structure variable, definition is */
/* required in application code      */

extern ConfigFileT configFile;

/* Function used to read the configuration */
/* file and fill in the structure          */

extern int read_config_file(char *configFile,
                            int   maxLen);

/* Functions used to retrieve the */
/* named user variables from the  */
/* configFile structure           */

extern float configGetFloat(char *named);
extern long  configGetInt(char *named);
extern char *configGetString(char *named);

/* The following varaibles are defined */
/* in the parser itself but are setup  */
/* by the invoking application         */

extern FILE *yyin;
extern int   yylineno;
extern int   yyparse(void);
extern int   yyerror(char *string);
